local Tinkr = ...

---@class Vision
local Vision = {
    DebugMode = false
}
Vision.__index = Vision

function Vision.require(class)
    return require("scripts/Vision/" .. class .. "/" .. class, Vision)
end

---@type EventManager
Vision.EventManager = Vision.require("EventManager")

---@type TimeManager
Vision.TimeManager = Vision.require("TimeManager"):New()

---@type Timer
Vision.Timer = Vision.require("Timer")

local DeathTimer = Vision.TimeManager:GetTimer("DeathTimer", { "PLAYER_DEAD" }, { "PLAYER_ALIVE", "PLAYER_UNGHOST" })

Vision.Ticker = C_Timer.NewTicker(0.1, function()
    if Vision.Enabled then
        if DeathTimer:GetTime() > 60 then
            -- do something
        end
    end
end)